<template>
  <div>
    <gl-table
      :items="fonts"
      :fields="$options.fields"
      sort-by="count"
      :sort-desc="true"
    >
      <template #cell(font)="{ item }">
        <div
          class="mb-3"
          style="font-size: 16px;"
          :style="{ fontFamily: item.font }"
        >
          GitLab rocks
        </div>
        <nuxt-link :to="{ path: 'search', query: { q: item.font } }">
          {{ item.font }}
        </nuxt-link>
      </template>
    </gl-table>
  </div>
</template>

<script>
import axios from 'axios';
import { GlTable } from '@gitlab/ui';

export default {
  props: ['fonts'],
  fields: [
    {
      key: 'font',
      label: 'font',
      sortable: true,
    },
    {
      key: 'count',
      label: 'Count',
      sortable: true,
    },
  ],
  components: {
    GlTable,
  },
  data() {
    return {
      filter: null,
      filterOn: [],
    };
  },
};
</script>
